Inventory
Base URL: $BUSINESS_API
The object
iditm_ identifier
tenant_idcodenamedescriptionunitone of
un,m,kg,l,cx,rolokindone of
bulk,serialisedis_meterUnits are meters owned by the meter module
meter_manufacturermeter_modelmeter_diameter_mmreorder_levelQuantity in the item's unit, with at most three decimals (12.5 metres).
reorder_levelsShow child attributes
location_idlevelQuantity in the item's unit, with at most three decimals (12.5 metres).
standard_cost_minoraverage_cost_minorMoving weighted average cost per unit, in minor units of the tenant currency
activecreated_atupdated_at
Endpoints
- GET
/inventory/items - POST
/inventory/items - GET
/inventory/items/{id} - PATCH
/inventory/items/{id} - GET
/inventory/locations - POST
/inventory/locations - GET
/inventory/locations/{id} - PATCH
/inventory/locations/{id} - GET
/inventory/balances - GET
/inventory/availability - POST
/inventory/receipts - POST
/inventory/issues - POST
/inventory/returns - GET
/inventory/transfers - POST
/inventory/transfers - GET
/inventory/transfers/{id} - POST
/inventory/transfers/{id}/receive - POST
/inventory/adjustments - POST
/inventory/scraps - GET
/inventory/movements - GET
/inventory/serials/{serial} - GET
/inventory/stocktakes - POST
/inventory/stocktakes - GET
/inventory/stocktakes/{id} - POST
/inventory/stocktakes/{id}/lines - POST
/inventory/stocktakes/{id}/approve - GET
/inventory/kits - POST
/inventory/kits - GET
/inventory/kits/{id} - PATCH
/inventory/kits/{id} - GET
/inventory/reservations - POST
/inventory/reservations/{id}/release - GET
/inventory/alerts - POST
/inventory/receipts/import - POST
/inventory/items/import - GET
/inventory/items/export - GET
/inventory/movements/export - GET
/inventory/settings - PATCH
/inventory/settings
The object
{
"id": "inv_2gCDJwAl34EFzaahb8GfVEQrV6w",
"tenant_id": "ten_2ugFXIC316WXzGu1HGal90AxTA6",
"code": "COD-2026-000142",
"name": "Ana Matsinhe",
"description": "Leitura confirmada no local.",
"unit": "un",
"kind": "bulk",
"is_meter": true,
"meter_manufacturer": "meter manufacturer",
"meter_model": "meter model",
"meter_diameter_mm": 1,
"reorder_level": 1,
"reorder_levels": [
{
"location_id": "loc_2NbCeVvmOLLm0vFE4ZvkGRtMsrx",
"level": 1
}
],
"standard_cost_minor": 1,
"average_cost_minor": 1,
"active": true,
"created_at": "2026-11-19T09:30:00Z",
"updated_at": "2026-11-19T09:30:00Z"
}- ItemsList catalogue items · Create a catalogue item · Get a catalogue item with its reorder levels · Change an item, its standard cost and reorder levels …6 operations
- LocationsList warehouses, shelf areas and vans · Create a warehouse, shelf area or van · Get a location · Change a location, its crew and van members4 operations
- InventoryWhat is where · On hand, reserved and available for one item, by location · Receive stock · Issue stock to a work order or connection …16 operations
- TransfersList transfers · Send stock to another location · Get a transfer · Confirm a transfer at the receiving location4 operations
- StocktakesList stocktakes · Open a count, freezing the expected quantities of a location · Get a stocktake with expected, counted and differences · Record counted lines …5 operations
- KitsList kits and default kits per work-order type · Create a kit · Get a kit · Change a kit or its lines4 operations